KF5-CONFIG(1)

NOME
kf5-config - Stampa i percorsi di installazione di Qt(TM) e di Frameworks

SINOSSI

kf5-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--kde-version] [--types] [--path tipo] [--userpath tipo] [--install tipo] [--qt-prefix] [--qt-binaries] [--qt-libraries] [--qt-plugins]

DESCRIZIONE

kf5-config è un programma a riga di comando usato per scoprire le informazioni sui percorsi di installazione di Frameworks o dell'utente.

Usa questo programma per determinare dove risiedono i diversi aspetti dell'installazione di Frameworks nel sistema.

    Nota

    kf5-config è per lo più un rimpiazzo, deprecato, di kde4-config, mentre lo strumento consigliato da usare al suo posto è qtpaths (fornito con Qt(TM)).

OPZIONI

--expandvars
    Espande ${prefix} e ${exec_prefix} nell'output.

--prefix
    Prefisso indicato in fase di compilazione delle librerie Frameworks.

--exec-prefix
    Prefisso exec indicato in fase di compilazione per le librerie Frameworks.

--libsuffix
    Suffisso del percorso per le librerie compilato nei programmi.

--localprefix
    Prefisso in $HOME usato per scrivere i file.

--version
    Versione di Qt(TM) e stringa di versione compilata per le librerie Frameworks e kf5-config.

--kde-version
    Stringa di versione compilata nelle librerie Frameworks.

--types
    Stampa un elenco di tutti i tipi di risorse di KDE.

--path tipo
    Percorso di ricerca per il tipo specificato.

--userpath tipo
    Percorsi utente per i tipi: desktop|document

--install tipo
    Prefisso dove installare i file di risorsa.

--qt-prefix
    Prefisso di installazione per Qt(TM).

--qt-binaries
    Posizione dei binari di Qt(TM) installati.

--qt-libraries
    Posizione delle librerie di Qt(TM) installate.

--qt-plugins
    Posizione delle estensioni di Qt(TM) installate.

ESEMPI

Stampa la cartella di installazione di più alto livello di Frameworks:

% kf5-config --prefix

Stampa un elenco di tutti i tipi di risorsa:

% kf5-config --types

Stampa il percorso degli sfondi installati:

% kf5-config --path wallpaper

VEDI ANCHE

kf5options(7)

BUG

Nessun bug noto.

AUTORE

Stephan Kulow <coolo@kde.org>
    Autore.